Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class BasicXFFHelper

    java.lang.Object
      org.biojava.bio.program.xff.BasicXFFHelper

All Implemented Interfaces:
  XFFHelper

Direct Known Subclasses:
  PropertyWriter

    public class BasicXFFHelper

extends Object
implements XFFHelper

Author:
  Thomas Down

Constructor Summary
`BasicXFFHelper()`

Method Summary
`String` | `getFeatureID(Feature f)`
`void` | `writeDetails(XMLWriter xw, Feature f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicXFFHelper

    public BasicXFFHelper()

Method Detail

### getFeatureID

    public String getFeatureID(Feature f)

  Specified by:
    `getFeatureID` in interface `XFFHelper`

### writeDetails

    public void writeDetails(XMLWriter xw,
                             Feature f)
                      throws IOException

  Specified by:
    `writeDetails` in interface `XFFHelper`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD